Skip to main content
GET
/
files
Files by TS
curl --request GET \
  --url https://app.onefirewall.com/api/v1/files \
  --header 'Authorization: <api-key>'
{
  "header": {
    "type": "Malware",
    "version": 4,
    "ts": 1693519200,
    "next_ts": 1693519490,
    "page_size": 100,
    "user": {
      "guid": "OFA-GUID-YORP-4193-FDFM",
      "name": "NAME",
      "surname": "Surname",
      "username": "[email protected]",
      "role": 0,
      "unsuccessful_login": 0,
      "member_of": {
        "gid": "OFA-GID-dsfgdsfgfdj",
        "name": "Org1",
        "trust": 0.85,
        "delay": "0",
        "credit_tokens": 2000000000,
        "debit_tokens": 1888915
      }
    }
  },
  "body": [
    {
      "md5": "B3A5311FB0E11953EBD765D4231776EE",
      "sha1": "EE727E0FFE780EC24609B9FCCA8512ADE671E2D5",
      "sha256": "15678297D3D6DA1D77C9B5C7B479F5C3C922D739C42CA00641F3D3587A829970",
      "score": 96,
      "ts": 1693519331,
      "file_bytes": null,
      "total_reports": 47,
      "total_members": 1,
      "file_type": "application/x-executable",
      "file_name": "b3a5311fb0e11953ebd765d4231776ee",
      "tags": [
        "n/a",
        "elf"
      ],
      "elk_ts": "2023-08-31T22:02:11.000Z",
      "elk_entry_ts": "2023-08-30T00:03:23.000Z",
      "entry_ts": 1693353803
    },
    {
      "md5": "947F536E12836C13CFC73638B796471D",
      "sha1": "F478B6E4653C4620AF43841CC1F0227BC79F3ADB",
      "sha256": "1AE54CBDE48D74B3312771FCDB51E672CD0D60F737FA5FE09F9C83597B8A3B5F",
      "score": 96,
      "ts": 1693519331,
      "file_bytes": null,
      "total_reports": 47,
      "total_members": 1,
      "file_type": "application/x-executable",
      "file_name": "947f536e12836c13cfc73638b796471d",
      "tags": [
        "n/a",
        "elf",
        "Gafgyt"
      ],
      "elk_ts": "2023-08-31T22:02:11.000Z",
      "elk_entry_ts": "2023-08-30T00:03:23.000Z",
      "entry_ts": 1693353803
    },
    {
      "md5": "9D6980C593C635DE0E0A37224272924D",
      "sha1": "2EEA6F42D295AC7CEEB7FF079B99ADBB698C321F",
      "sha256": "DE895366E2FB48A164C45082928A4AF3D08969A5218F8B9581455635F7922876",
      "score": 96,
      "ts": 1693519331,
      "file_bytes": null,
      "total_reports": 47,
      "total_members": 1,
      "file_type": "application/x-executable",
      "file_name": "9d6980c593c635de0e0a37224272924d",
      "tags": [
        "n/a",
        "elf"
      ],
      "elk_ts": "2023-08-31T22:02:11.000Z",
      "elk_entry_ts": "2023-08-30T00:03:23.000Z",
      "entry_ts": 1693353803
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.onefirewall.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization Token

Query Parameters

ts
number
required

Latest updates starting from this timestamp

page_size
number
default:101

Maximum size to return

Required range: 100 < x < 2000
min_score
number
default:1

Filter based on minimum score

Required range: 0 < x < 1000
file_type
string

Filter based on file type

file_name
string

Filter based on file name

tags
string[]

Array of strings separated by ‘,’ to return documents that contain at least one of the tags provided (default none)

Maximum array length: 100

Response

200 - application/json

The request was received and processed successfully

The response is of type string.